ExtUtils::MM_Cygwin(3pm)

NAME
ExtUtils::MM_Cygwin - methods to override UN*X behaviour in ExtUtils::MakeMaker

SYNOPSIS
 use ExtUtils::MM_Cygwin; # Done internally by ExtUtils::MakeMaker if needed

DESCRIPTION
See ExtUtils::MM_Unix for a documentation of the methods provided there.

os_flavor
    We're Unix and Cygwin.

cflags
    if configured for dynamic loading, triggers #define EXT in EXTERN.h

replace_manpage_separator
    replaces strings '::' with '.' in MAN*POD man page names

init_linker
    points to libperl.a

maybe_command
    Determine whether a file is native to Cygwin by checking whether it resides inside the Cygwin installation (using Windows paths). If so, use "ExtUtils::MM_Unix" to determine if it may be a command. Otherwise use the tests from "ExtUtils::MM_Win32".

dynamic_lib
    Use the default to produce the *.dll's. But for new archdir dll's use the same rebase address if the old exists.

all_target
    Build man pages, too